<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="CMAT3D">
  <refnamediv>
    <refname>CMAT3D</refname>
    <refpurpose>Scope matriciel 3D</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CMAT3D_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contenu_CMAT3D">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CMAT3D">Scope matriciel 3D</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CMAT3D">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_CMAT3D">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Boîtededialogue_CMAT3D">Boîte de dialogue</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Propriétéspardéfaut_CMAT3D">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondinterface_CMAT3D">Fonction d'interface</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondecalcul_CMAT3D">Fonction de calcul</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Voiraussi_CMAT3D">Voir aussi</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Auteurs_CMAT3D">Auteurs</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_CMAT3D">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Sinks_pal">Sinks - Palette Affichage</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_CMAT3D">
    <title>Description</title>
    <para>
CMAT3D est un scope qui montre les valeurs en Z des matrices sur une grille xy.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Boîtededialogue_CMAT3D">
    <title>Boîte de dialogue</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CMAT3D_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Bounds Vector X (-1 for standard)</emphasis>
        </para>
        <para> If you let -1 the x ticks would be between 0 and 1 else you can put your own vector.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Bounds Vector Y (-1 for standard)</emphasis>
        </para>
        <para> If you let -1 the x ticks would be between 0 and 1 else you can put your own vector.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">ColorMap</emphasis>
        </para>
        <para> The colormap is a range color linked to the window output of the scope. You can put a jetcolormap or hotcolormap or graycolormap or your own (see colormap help).</para>
        <para> Propriétés : Must be a mx3 matrix and m<inlinemediaobject><imageobject><imagedata fileref="../../../images/CMAT3D_img3_fr.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> = 3 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Zmin</emphasis>
        </para>
        <para> Minimum value in Z values</para>
        <para> Propriétés : Type 'vec' de taille 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Zmax</emphasis>
        </para>
        <para> Maximum values in Z values</para>
        <para> Propriétés : Type 'vec' de taille 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Propriétéspardéfaut_CMAT3D">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">toujours actif:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">détection de passage à zéro:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">entrée régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [-1,-2] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des entrées évènementielles:</emphasis> 1</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des sorties évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état continu:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état discret:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état objet:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">nom de la fonction de calcul:</emphasis>
          <emphasis role="italic">cmat3d</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondinterface_CMAT3D">
    <title>Fonction d'interface</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Sinks/CMAT3D.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondecalcul_CMAT3D">
    <title>Fonction de calcul</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/cmat3d.c (Type 4)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Voiraussi_CMAT3D">
    <title>Voir aussi</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CMATVIEW">CMATVIEW - Scope matriciel coloré (Bloc Scicos)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Auteurs_CMAT3D">
    <title>Auteurs</title>
    <para>
      <emphasis role="bold"/>
    </para>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Ramine Nikoukhah</emphasis> INRIA</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Benoit Bayol</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
